FROM alpine:latest

WORKDIR /app

# Install required packages
RUN apk add --no-cache hugo git

# Clone the website repository
RUN git clone https://git.argentumcation.com/mira/website.git /app \
    && git submodule update --init --recursive

CMD ["hugo", "server", "--bind", "0.0.0.0"]  
